
Redmine - Defect #3628

Wrong local path to attached images in Wiki

2009-07-17 13:10 - Vitaly Klimov

Status: Closed Start date: 2009-07-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Have recently upgraded to latest (2819) trunk revision of the Redmine. It seems that there are some error in Wiki pages rendering -

inline images referenced as "/redmine/attachments/download/#ID#" instead of "/redmine/attachments/#ID#" although at the bottom of

the page links are normal (without download part)

so instead of inline images i get

!/redmine/attachments/download/1050!

on the screen.    

I am using Rails 2.2.2 and Ruby 1.8.6

History

#1 - 2009-07-18 10:25 - Jean-Philippe Lang

I not able to reproduce, inline images are properly displayed in wiki pages.

The 'download' part in the URL is not the problem, it's actually expected.

Did you make any changes to your Redmine instance ?

#2 - 2009-07-18 17:57 - Vitaly Klimov

- Assignee set to Jean-Philippe Lang

Well, prior to upgrade i was using version i pulled from trunk in the beginning of April (i believe right now i am using revision r2643) The only changes i

made are the small patch to relocate attachments folder to different place (based on Patch #1511) After upgrade i ran

rake db:migrate RAILS_ENV="production" and restarted server. Later i've tried to run clear not patched version with no luck as well. It seems that this

problem related to wiki only - inline images in boards and issues are displayed without any problems. If you see no problems in your setup i will try to

reproduce problem on the clean installation.

#3 - 2009-07-19 08:38 - Vitaly Klimov

One more thing i forgot to mention - i have enabled textile styles formatting in lib\redmine\wiki_formatting\textile\formatter.rb by setting self.filter_styles

to false.

#4 - 2009-07-20 10:59 - Vitaly Klimov

- Status changed from New to Resolved

Issue resolved. Seems that changes in r2677 of the way parser handles inline images in lib/redcloth3.rb lead to this issue, so right now line like this

p=. !some_image.jpg!

would not be recognized as an image - you have to have extra space before ! for this construction to work in the latest release.    

I have created test wiki (http://demo.redmine.org/projects/vvk-test/wiki/Test) so you may check this issue.

#5 - 2010-07-11 19:09 - Jean-Baptiste Barth

- Status changed from Resolved to Closed

- Assignee deleted (Jean-Philippe Lang)
- Resolution set to Fixed
